Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Node handling
Created: 2013-09-19 Assigned To: Karsten Dambekalns
Updated: 2013-09-23 Due date:
Subject: Workspace->getRootNode() return NodeData, not Node(Interface)
Description

This exposes the internal NodeData instance and breaks the use of the returned node in anything that expects Node(Interface) via
type hinting.

Associated revisions
Revision 3f09dbd5 - 2013-09-23 12:08 - Karsten Dambekalns

[TASK] Rename createFromNode() to createFromNodeData()

Since this method in NodeFactory creates a Node from NodeData, it should
have a matching name.

Change-Id: Ib8578d88670e294110a6df4cdd34afeddb11f138
Related: #52130
Reviewed-on: https://review.typo3.org/23900
Reviewed-by: Aske Ertmann
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

Revision fb7bb9e4 - 2013-09-23 12:09 - Karsten Dambekalns

[BUGFIX] getRootNode() returns NodeData despite the name

The name implies that a Node(Interface) instance is used, but in fact
NodeData is returned.

This change renames it to getRootNodeData() to be consistent and avoid
confusion.

Change-Id: If5aee99d036e1da51e0d04fa52bda8c4d0015183
Fixes: #52130
Reviewed-on: https://review.typo3.org/23901
Reviewed-by: Aske Ertmann
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

History
#1 - 2013-09-19 13:08 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23901

#2 - 2013-09-19 14:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23901

#3 - 2013-09-19 15:04 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23901

#4 - 2013-09-20 08:56 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23901

#5 - 2013-09-23 12:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fb7bb9e41d7ea1f433b84734f1ad471e07882a1a.
